Use this API to remove users from a role.
Be careful, this operation is final and can not be undone.
Resource URL
https://<subdomain>.onelogin.com/api/2/roles/:id/usersHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using |
Request Parameter
user_id required array | Set user_id values in array, for example: The request body must be the JSON array itself, for example: |
Sample Responses
- 204 No Content
- 401 Unauthorized
- 404 Not Found
Success. The user has been deleted. No users are returned.
Typically, this error means that your Authorization header value is missing or incorrectly formatted. The Authorization header value should use this format: bearer <access_token>.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}You attempted to delete a user that does not exist.
{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Delete User Parameter
curl 'https://<subdomain>.onelogin.com/api/2/roles/:id/users' \
-X DELETE \
-H "Authorization: bearer <access_token>" \
-d '[123, 456, 789]'Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.